//import java.io.* for Java I/O programming
import java.io.*;

class CopyFileUsingByteStream
{  public static void main(String args[])
   {  //declare input and output file streams
      FileInputStream fis = null;
      FileOutputStream fos = null;

      //check usage
      if (args.length !=2)
      {  System.out.println(
            "Usage: java CopyFileUsingByteStream fromfile tofile");
		   System.exit(0);
		}

      try
      {  //create file input stream
         fis = new FileInputStream(new File(args[0]));

         //create file output stream if the file does not exist
         File outFile = new File(args[1]);
         if (outFile.exists())
         {  System.out.println("file "+args[1]+" already exists");
            return;
         }
         else
            fos = new FileOutputStream(args[1]);

         System.out.println("The file "+args[0]+" has "+fis.available()+" bytes");

	 int r;
         //continuously read a byte from fis and write it to fos
         while ((r = fis.read()) != -1)
            fos.write((byte)r);
      }
      catch (FileNotFoundException e)
      {  System.out.println("File not found: "+args[0]);  }
      catch (IOException e)
      {  System.out.println(e.getMessage());   }
      finally
      {  try
         {  //close files
            if (fis != null) fis.close();
            if (fos != null) fos.close();
         }
         catch (IOException e) {}
      }
   }
   
   
}
